Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.common.domain.client
Class DataTypeImpl

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.common.domain.client.ResourceImpl
          com.jaspersoft.jasperserver.api.metadata.common.domain.client.DataTypeImpl

All Implemented Interfaces:
  AttributedObject, DataType, InternalURI, Resource, java.io.Serializable, org.acegisecurity.acl.basic.AclObjectIdentity

    public class DataTypeImpl

extends ResourceImpl
implements DataType

Version:
  $Id: InputControlImpl.java 2332 2006-03-09 02:23:53Z tony $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.DataType
`TYPE_DATE, TYPE_DATE_TIME, TYPE_NUMBER, TYPE_TEXT`

Fields inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.Resource
`URI_PROTOCOL, VERSION_NEW`

Constructor Summary
`DataTypeImpl()`

Method Summary
`java.lang.Integer` | `getDecimals()`
`protected java.lang.Class` | `getImplementingItf()`
`java.lang.Integer` | `getMaxLength()`
`java.lang.Comparable` | `getMaxValue()`
`java.lang.Comparable` | `getMinValue()`
`java.lang.String` | `getRegularExpr()`
`byte` | `getType()`
`boolean` | `isStrictMax()`
`boolean` | `isStrictMin()`
`void` | `setDecimals(java.lang.Integer decimals)`
`void` | `setMaxLength(java.lang.Integer maxLength)`
`void` | `setMaxValue(java.lang.Comparable max)`
`void` | `setMinValue(java.lang.Comparable min)`
`void` | `setRegularExpr(java.lang.String regularExpr)`
`void` | `setStrictMax(boolean isStrictMax)`
`void` | `setStrictMin(boolean isStrictMin)`
`void` | `setType(byte type)`

Methods inherited from class com.jaspersoft.jasperserver.api.metadata.common.domain.client.ResourceImpl
`getAttributes, getCreationDate, getDescription, getLabel, getName, getParentFolder, getParentPath, getParentURI, getPath, getProtocol, getResourceType, getURI, getURIString, getVersion, isNew, setAttributes, setCreationDate, setDescription, setLabel, setName, setParentFolder, setParentFolder, setURIString, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.Resource
`getCreationDate, getDescription, getLabel, getName, getParentFolder, getResourceType, getURIString, getVersion, isNew, setCreationDate, setDescription, setLabel, setName, setParentFolder, setParentFolder, setURIString, setVersion`

Methods inherited from interface com.jaspersoft.jasperserver.api.common.domain.AttributedObject
`getAttributes, setAttributes`

Methods inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.InternalURI
`getParentPath, getParentURI, getPath, getProtocol, getURI`

Methods inherited from interface org.acegisecurity.acl.basic.AclObjectIdentity
`equals, hashCode`

Constructor Detail

### DataTypeImpl

    public DataTypeImpl()

Method Detail

### getType

    public byte getType()

  Specified by:
    `getType` in interface `DataType`

### setType

    public void setType(byte type)

  Specified by:
    `setType` in interface `DataType`

### getMaxLength

    public java.lang.Integer getMaxLength()

  Specified by:
    `getMaxLength` in interface `DataType`

### setMaxLength

    public void setMaxLength(java.lang.Integer maxLength)

  Specified by:
    `setMaxLength` in interface `DataType`

### getDecimals

    public java.lang.Integer getDecimals()

  Specified by:
    `getDecimals` in interface `DataType`

### setDecimals

    public void setDecimals(java.lang.Integer decimals)

  Specified by:
    `setDecimals` in interface `DataType`

### getRegularExpr

    public java.lang.String getRegularExpr()

  Specified by:
    `getRegularExpr` in interface `DataType`

### setRegularExpr

    public void setRegularExpr(java.lang.String regularExpr)

  Specified by:
    `setRegularExpr` in interface `DataType`

### getMinValue

    public java.lang.Comparable getMinValue()

  Specified by:
    `getMinValue` in interface `DataType`

### setMinValue

    public void setMinValue(java.lang.Comparable min)

  Specified by:
    `setMinValue` in interface `DataType`

### getMaxValue

    public java.lang.Comparable getMaxValue()

  Specified by:
    `getMaxValue` in interface `DataType`

### setMaxValue

    public void setMaxValue(java.lang.Comparable max)

  Specified by:
    `setMaxValue` in interface `DataType`

### isStrictMin

    public boolean isStrictMin()

  Specified by:
    `isStrictMin` in interface `DataType`

### setStrictMin

    public void setStrictMin(boolean isStrictMin)

  Specified by:
    `setStrictMin` in interface `DataType`

### isStrictMax

    public boolean isStrictMax()

  Specified by:
    `isStrictMax` in interface `DataType`

### setStrictMax

    public void setStrictMax(boolean isStrictMax)

  Specified by:
    `setStrictMax` in interface `DataType`

### getImplementingItf

    protected java.lang.Class getImplementingItf()

  Specified by:
    `getImplementingItf` in class `ResourceImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.